/*
 *****************************************************************************
 *  Program: readsrbavg1nongeo.c
 *  
 *  Purpose: To provide an example of how to read data from the SRBAVG binary
 *           data file produced from the script,
 *           "get_srbavg1_1deg_reg_monthly_nongeo".
 *  
 *****************************************************************************
*/

   #include <stdio.h>

/*
 *******************************************************************************
 *  MAIN PROGRAM
 *******************************************************************************
*/

   void main( int argc, char *argv[])
   {

     char *In_file;
     int index_max, i, j, read_size;
     FILE *fp;

/*
 *******************************************************************************
 *  Arrays assigned
 *******************************************************************************
*/

     float   tlw[180][360], tsw[180][360];
     float   talb[180][360];
     float   clw[180][360], csw[180][360];
     float   calb[180][360];
     float   twn[180][360], tnet[180][360];
     float   cwn[180][360], cnet[180][360];

/*
 *******************************************************************************
 *  Assign the binary file to be read.
 *******************************************************************************
*/

     if(argc != 2)
  {
     fprintf ( stderr, "Usage: rd filename\n");
     exit(1);
  }

     In_file = argv[1];

/*
 *******************************************************************************
 *  Print the name of the file being read.
 *******************************************************************************
*/
     printf("\nName of input file to be read:\n< %s\n",In_file);

/*
 *******************************************************************************
 *  Read the data into the 2-D "*_2d_data_array" array. 
 *******************************************************************************
*/
     fp = fopen ( In_file, "rb");
     if (fp == NULL)
       {
         fprintf( stderr,"\nERROR opening the file\n");
         exit(1);
       }

     read_size = fread( tlw,1,sizeof( tlw),fp);
     read_size = fread( tsw,1,sizeof( tsw),fp);
     read_size = fread(tnet,1,sizeof(tnet),fp);
     read_size = fread(talb,1,sizeof(talb),fp);
     read_size = fread( twn,1,sizeof( twn),fp);
     read_size = fread( clw,1,sizeof( clw),fp);
     read_size = fread( csw,1,sizeof( csw),fp);
     read_size = fread(cnet,1,sizeof(cnet),fp);
     read_size = fread(calb,1,sizeof(calb),fp);
     read_size = fread( cwn,1,sizeof( cwn),fp);

     if ( read_size < 0 )
     {
        fprintf (stderr,"\nError in reading data\n");
        exit(1);
     }

/*
 *******************************************************************************
 *  Print a sample of the values in the "calb" data, stored in 
 *  the 2-D array, "calb".
 *******************************************************************************
*/

     printf("\n--- Sample of Data ---\n");

     index_max = 8;

     for (i=0; i<180; i++)
     {
        printf ("\nLat# %3i:",i+1);
        for (j=0; j<index_max; j++)
        {
           if ( calb[i][j] > 3.4028235E+37) {
           /* CHANGE DEFAULT VALUE FOR PRINTING PURPOSES */
               printf ("%8.3lf",-99.999);
           } else {
               printf ("%8.3lf",calb[i][j]);
           }
        }
     }
     printf ("\n\n");

}
