      program readsrbavg1

c *****************************************************************************
c *  Program: readsrbavg1nongeo.f
c *
c *  Purpose: To provide an example of how to read data from the SRBAVG binary
c *           data file produced from the script,
c *           "get_srbavg1_1deg_reg_monthly_nongeo".
c *
c *
c *  NOTE: FORTRAN compilers may assume 4 byte words when defining record
c *        lengths.  If an error occurs while reading the input file
c *        "tnongeo.grd", in the input file open statements, remove
c *        the "*4" to make recl=360*180.
c *
c *****************************************************************************


      real tlw, tsw, talb
      real clw, csw, calb
      real twn, tnet
      real cwn, cnet

      integer i,j,ios

      dimension tlw(360,180), tsw(360,180), talb(360,180)
      dimension clw(360,180), csw(360,180), calb(360,180)      
      dimension twn(360,180), tnet(360,180)
      dimension cwn(360,180), cnet(360,180)

      character*80 filein

c  open flat binary CERES SRBAVG1 non-geo data file

      filein='./tnongeo.grd'

      open (unit=12,file=filein,status='old',form='unformatted',
     +      access='direct',recl=360*180*4,iostat=ios)
      if ( ios .ne. 0) then
        print*,' ERROR:  Failed to open file: ',filein
      endif
      
c read CERES SRBAVG1 non-geo data

      read (unit=12,rec=1)  ((tlw(i,j),i=1,360),j=1,180)
      read (unit=12,rec=2)  ((tsw(i,j),i=1,360),j=1,180)
      read (unit=12,rec=3)  ((tnet(i,j),i=1,360),j=1,180)
      read (unit=12,rec=4)  ((talb(i,j),i=1,360),j=1,180)
      read (unit=12,rec=5)  ((twn(i,j),i=1,360),j=1,180)
      read (unit=12,rec=6)  ((clw(i,j),i=1,360),j=1,180)
      read (unit=12,rec=7)  ((csw(i,j),i=1,360),j=1,180)
      read (unit=12,rec=8)  ((cnet(i,j),i=1,360),j=1,180)
      read (unit=12,rec=9)  ((calb(i,j),i=1,360),j=1,180)
      read (unit=12,rec=10) ((cwn(i,j),i=1,360),j=1,180)

c close input flat binary file

      close (unit=12)

c *******************************************************************************
c *  Print a sample of the values in the "calb" data, stored in
c *  the 2-D array, "calb".
c *******************************************************************************


      write(*,21) '--- Sample of Data ---'
      write(*,21) ''
      do j = 1,180     !-- j = Latitude zones 1-180
          do i = 1,8 
            if ( calb(i,j) .ge. 3.4028235E+37) then
c               CHANGE DEFAULT VALUE FOR PRINTING PURPOSES
                calb(i,j) = -99.999
            endif
          enddo
          write(*,22) 'Lat#',j,':',(calb(i,j),i=1,8)  !-- i = Longitude regs 1-360
      enddo

   21 FORMAT (a)
   22 FORMAT (a4,i4,a1,10f8.3)
      end
